// _GestionPreferences_Interface.java
// Created on 27 sept. 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.preferences;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionPreferences_Interface extends COFrame {

    /** Creates new form _GestionPreferences_Interface */
    public _GestionPreferences_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        displayGroupTypeAdresse = new org.cocktail.component.CODisplayGroup();
        displayGroupTypePopulation = new org.cocktail.component.CODisplayGroup();
        cOView1 = new org.cocktail.component.COView();
        jLabel6 = new javax.swing.JLabel();
        cOTextField1 = new org.cocktail.component.COTextField();
        cOCheckbox7 = new org.cocktail.component.COCheckbox();
        cOButton10 = new org.cocktail.component.COButton();
        cOButton11 = new org.cocktail.component.COButton();
        cOCheckbox8 = new org.cocktail.component.COCheckbox();
        cOView3 = new org.cocktail.component.COView();
        jLabel4 = new javax.swing.JLabel();
        cOTextField4 = new org.cocktail.component.COTextField();
        cOButton9 = new org.cocktail.component.COButton();
        cOButton8 = new org.cocktail.component.COButton();
        cOCheckbox6 = new org.cocktail.component.COCheckbox();
        cOCheckbox4 = new org.cocktail.component.COCheckbox();
        cOCheckbox5 = new org.cocktail.component.COCheckbox();
        popupCategoriePersonnel = new org.cocktail.component.COComboBox();
        jLabel5 = new javax.swing.JLabel();
        cOCheckbox9 = new org.cocktail.component.COCheckbox();
        cOView4 = new org.cocktail.component.COView();
        cOButton1 = new org.cocktail.component.COButton();
        cOTextField2 = new org.cocktail.component.COTextField();
        cOButton2 = new org.cocktail.component.COButton();
        cOButton3 = new org.cocktail.component.COButton();
        cOButton12 = new org.cocktail.component.COButton();
        cOTextField5 = new org.cocktail.component.COTextField();
        cOButton13 = new org.cocktail.component.COButton();
        jLabel7 = new javax.swing.JLabel();
        cOView5 = new org.cocktail.component.COView();
        cOTextField3 = new org.cocktail.component.COTextField();
        jLabel2 = new javax.swing.JLabel();
        cOCheckbox3 = new org.cocktail.component.COCheckbox();
        cOButton6 = new org.cocktail.component.COButton();
        cOButton7 = new org.cocktail.component.COButton();
        cOView7 = new org.cocktail.component.COView();
        listeAffichage = new org.cocktail.component.COTable();
        jLabel1 = new javax.swing.JLabel();
        cOButton5 = new org.cocktail.component.COButton();
        cOButton4 = new org.cocktail.component.COButton();
        vueBoutonsValidation = new org.cocktail.component.COView();
        cOButton14 = new org.cocktail.component.COButton();
        cOButton15 = new org.cocktail.component.COButton();

        displayGroup.setEntityName("PrefsPersonnel");
        displayGroup.setIsMainDisplayGroupForController(true);

        displayGroupTypeAdresse.setEntityName("TypeAdresse");

        displayGroupTypePopulation.setEntityName("TypePopulation");

        setControllerClassName("org.cocktail.mangue.client.preferences.GestionPreferences");
        setSize(new java.awt.Dimension(573, 725));

        cOView1.setIsBox(true);
        cOView1.setTitle("Mode affichage");

        jLabel6.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel6.setText("Afficher au démarrage");

        cOTextField1.setDisplayGroupForValue(displayGroup);
        cOTextField1.setEnabledMethod("champNonModifiable");
        cOTextField1.setSupportsBackgroundColor(true);
        cOTextField1.setValueName("ongletParDefaut");

        cOCheckbox7.setDisplayGroupForValue(displayGroup);
        cOCheckbox7.setText("Fenêtres vs Onglets");
        cOCheckbox7.setValueName("modeFenetre");

        cOButton10.setActionName("supprimerVueDemarrage");
        cOButton10.setBorderPainted(false);
        cOButton10.setEnabledMethod("peutSupprimerVueDemarrage");
        cOButton10.setIconName("supprimer16.gif");

        cOButton11.setActionName("afficherVueDemarrage");
        cOButton11.setBorderPainted(false);
        cOButton11.setIconName("loupe16.gif");

        cOCheckbox8.setDisplayGroupForValue(displayGroup);
        cOCheckbox8.setEnabledMethod("peutSelectionnerAffichagePhoto");
        cOCheckbox8.setText("Afficher les photos");
        cOCheckbox8.setValueName("afficherPhoto");
        cOCheckbox8.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cOCheckbox8ActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout cOView1Layout = new org.jdesktop.layout.GroupLayout(cOView1);
        cOView1.setLayout(cOView1Layout);
        cOView1Layout.setHorizontalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOCheckbox7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 39, Short.MAX_VALUE)
                .add(cOCheckbox8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(33, 33, 33)
                .add(jLabel6)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 169, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(0, 0, 0)
                .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        cOView1Layout.setVerticalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel6))
                    .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOCheckbox7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOCheckbox8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        cOView3.setIsBox(true);
        cOView3.setTitle("Affichage de la liste des Agents");

        jLabel4.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel4.setText("Pour la structure");

        cOTextField4.setDisplayGroupForValue(displayGroup);
        cOTextField4.setEnabledMethod("champNonModifiable");
        cOTextField4.setValueName("structure.llStructure");

        cOButton9.setActionName("afficherStructure");
        cOButton9.setBorderPainted(false);
        cOButton9.setEnabledMethod("peutAfficherStructures");
        cOButton9.setIconName("loupe16.gif");

        cOButton8.setActionName("supprimerStructure");
        cOButton8.setBorderPainted(false);
        cOButton8.setEnabledMethod("peutSupprimerStructure");
        cOButton8.setIconName("supprimer16.gif");

        cOCheckbox6.setDisplayGroupForValue(displayGroup);
        cOCheckbox6.setText(" Afficher les agents");
        cOCheckbox6.setValueName("afficherAgentsAuDemarrage");

        cOCheckbox4.setDisplayGroupForValue(displayGroup);
        cOCheckbox4.setText("Afficher la liste à gauche de la fenêtre principale");
        cOCheckbox4.setValueName("afficherListeAgentsAGauche");

        cOCheckbox5.setDisplayGroupForValue(displayGroup);
        cOCheckbox5.setEnabledMethod("peutExclureHeberges");
        cOCheckbox5.setText("Exclure les hébergés lors de l'affichage de tous les personnels");
        cOCheckbox5.setValueName("exclureHeberges");

        popupCategoriePersonnel.setEnabledMethod("peutSelectionnerTypePersonnel");
        popupCategoriePersonnel.setTitleForSelection("categoriePersonnel");
        popupCategoriePersonnel.setTitles("Enseignants");

        jLabel5.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel5.setText("de type");

        cOCheckbox9.setDisplayGroupForValue(displayGroup);
        cOCheckbox9.setText(" Afficher de la nouvelle liste des agents");
        cOCheckbox9.setValueName("afficherNouvelleListe");

        org.jdesktop.layout.GroupLayout cOView3Layout = new org.jdesktop.layout.GroupLayout(cOView3);
        cOView3.setLayout(cOView3Layout);
        cOView3Layout.setHorizontalGroup(
            cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView3Layout.createSequentialGroup()
                .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView3Layout.createSequentialGroup()
                        .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOView3Layout.createSequentialGroup()
                                .add(30, 30, 30)
                                .add(jLabel4))
                            .add(cOView3Layout.createSequentialGroup()
                                .addContainerGap()
                                .add(cOCheckbox6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, cOView3Layout.createSequentialGroup()
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 320, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(2, 2, 2)
                                .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(0, 0, 0)
                                .add(cOButton8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, cOView3Layout.createSequentialGroup()
                                .add(2, 2, 2)
                                .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(popupCategoriePersonnel, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 154, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(cOCheckbox9, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 315, Short.MAX_VALUE))))
                    .add(cOView3Layout.createSequentialGroup()
                        .addContainerGap()
                        .add(cOCheckbox4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 299, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(cOCheckbox5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        cOView3Layout.setVerticalGroup(
            cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView3Layout.createSequentialGroup()
                .add(11, 11, 11)
                .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOCheckbox6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel5)
                    .add(popupCategoriePersonnel, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel4))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOCheckbox4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        cOView4.setIsBox(true);
        cOView4.setTitle("Répertoires Impressions / Exports");

        cOButton1.setActionName("supprimerFichiersImpression");
        cOButton1.setBorderPainted(false);
        cOButton1.setEnabledMethod("peutSupprimerFichiersImpression");
        cOButton1.setIconName("corbeille.png");

        cOTextField2.setDisplayGroupForValue(displayGroup);
        cOTextField2.setEnabledMethod("champNonModifiable");
        cOTextField2.setValueName("directoryImpression");

        cOButton2.setActionName("choisirDirectory");
        cOButton2.setBorderPainted(false);
        cOButton2.setIconName("loupe16.gif");

        cOButton3.setActionName("supprimerDirectoryImpression");
        cOButton3.setBorderPainted(false);
        cOButton3.setIconName("supprimer16.gif");

        cOButton12.setActionName("choisirDirectoryExports");
        cOButton12.setBorderPainted(false);
        cOButton12.setIconName("loupe16.gif");

        cOTextField5.setDisplayGroupForValue(displayGroup);
        cOTextField5.setEnabledMethod("champNonModifiable");
        cOTextField5.setValueName("directoryExports");

        cOButton13.setActionName("supprimerDirectoryExports");
        cOButton13.setBorderPainted(false);
        cOButton13.setIconName("supprimer16.gif");

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("Exports (CIR, SUPINFO, etc...)");

        org.jdesktop.layout.GroupLayout cOView4Layout = new org.jdesktop.layout.GroupLayout(cOView4);
        cOView4.setLayout(cOView4Layout);
        cOView4Layout.setHorizontalGroup(
            cOView4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView4Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView4Layout.createSequentialGroup()
                        .add(cOTextField2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 580, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView4Layout.createSequentialGroup()
                        .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 167, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(cOTextField5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 395, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        cOView4Layout.setVerticalGroup(
            cOView4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView4Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOView4Layout.createSequentialGroup()
                        .add(cOView4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(cOView4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOView4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(jLabel7))
                            .add(cOButton13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOButton12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        cOView5.setIsBox(true);
        cOView5.setTitle("Affichage Congés");

        cOTextField3.setDisplayGroupForValue(displayGroup);
        cOTextField3.setEnabledMethod("champNonModifiable");
        cOTextField3.setValueName("typeAbsence.libelleLong");

        jLabel2.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel2.setText("Afficher par défaut");

        cOCheckbox3.setDisplayGroupForValue(displayGroup);
        cOCheckbox3.setText("Année Universitaire vs Année Civile");
        cOCheckbox3.setValueName("afficherCongePourAnneeUniv");

        cOButton6.setActionName("afficherTypeAbsence");
        cOButton6.setBorderPainted(false);
        cOButton6.setIconName("loupe16.gif");

        cOButton7.setActionName("supprimerTypeAbsence");
        cOButton7.setBorderPainted(false);
        cOButton7.setEnabledMethod("peutSupprimerTypeAbsence");
        cOButton7.setIconName("supprimer16.gif");

        org.jdesktop.layout.GroupLayout cOView5Layout = new org.jdesktop.layout.GroupLayout(cOView5);
        cOView5.setLayout(cOView5Layout);
        cOView5Layout.setHorizontalGroup(
            cOView5Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView5Layout.createSequentialGroup()
                .add(20, 20, 20)
                .add(cOCheckbox3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 241, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 128, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOTextField3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 241, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(0, 0, 0)
                .add(cOButton7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        cOView5Layout.setVerticalGroup(
            cOView5Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView5Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView5Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView5Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOButton6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOButton7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOView5Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOCheckbox3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel2)
                        .add(cOTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        cOView7.setIsBox(true);
        cOView7.setTitle("Populations");

        listeAffichage.setColumns(new Object[][] {{null,"code",new Integer(2),"code",new Integer(0),new Integer(50),new Integer(1000),new Integer(10)},{null,"libelleLong",new Integer(2),"Libellé",new Integer(0),new Integer(230),new Integer(1000),new Integer(39)}});
        listeAffichage.setDisplayGroupForTable(displayGroupTypePopulation);

        jLabel1.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel1.setText("Type de personnel géré :");

        cOButton5.setActionName("ajouterTypesPopulation");
        cOButton5.setBorderPainted(false);
        cOButton5.setIconName("ajouter16.gif");

        cOButton4.setActionName("supprimerTypesPopulation");
        cOButton4.setBorderPainted(false);
        cOButton4.setEnabledMethod("peutSupprimerTypePopulation");
        cOButton4.setIconName("supprimer16.gif");

        org.jdesktop.layout.GroupLayout cOView7Layout = new org.jdesktop.layout.GroupLayout(cOView7);
        cOView7.setLayout(cOView7Layout);
        cOView7Layout.setHorizontalGroup(
            cOView7Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView7Layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel1)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 308, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView7Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(204, 204, 204))
        );
        cOView7Layout.setVerticalGroup(
            cOView7Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView7Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView7Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(listeAffichage, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 126, Short.MAX_VALUE)
                    .add(cOView7Layout.createSequentialGroup()
                        .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jLabel1))
                .addContainerGap())
        );

        cOButton14.setActionName("annuler");
        cOButton14.setBorderPainted(false);
        cOButton14.setEnabledMethod("modificationEnCours");
        cOButton14.setIconName("annuler16.gif");

        cOButton15.setActionName("valider");
        cOButton15.setBorderPainted(false);
        cOButton15.setEnabledMethod("peutValider");
        cOButton15.setIconName("valider16.gif");
        cOButton15.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cOButton15ActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout vueBoutonsValidationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsValidation);
        vueBoutonsValidation.setLayout(vueBoutonsValidationLayout);
        vueBoutonsValidationLayout.setHorizontalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createSequentialGroup()
                .addContainerGap()
                .add(cOButton14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, Short.MAX_VALUE))
        );
        vueBoutonsValidationLayout.setVerticalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createSequentialGroup()
                .add(2, 2, 2)
                .add(vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, cOButton15, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, cOButton14, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 16, Short.MAX_VALUE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, cOView7, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, cOView5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(cOView1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, cOView3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, cOView4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(cOView3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cOView5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(cOView4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void cOButton15ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cOButton15ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cOButton15ActionPerformed

    private void cOCheckbox8ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cOCheckbox8ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cOCheckbox8ActionPerformed
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton cOButton1;
    public org.cocktail.component.COButton cOButton10;
    public org.cocktail.component.COButton cOButton11;
    public org.cocktail.component.COButton cOButton12;
    public org.cocktail.component.COButton cOButton13;
    public org.cocktail.component.COButton cOButton14;
    public org.cocktail.component.COButton cOButton15;
    public org.cocktail.component.COButton cOButton2;
    public org.cocktail.component.COButton cOButton3;
    public org.cocktail.component.COButton cOButton4;
    public org.cocktail.component.COButton cOButton5;
    public org.cocktail.component.COButton cOButton6;
    public org.cocktail.component.COButton cOButton7;
    public org.cocktail.component.COButton cOButton8;
    public org.cocktail.component.COButton cOButton9;
    public org.cocktail.component.COCheckbox cOCheckbox3;
    public org.cocktail.component.COCheckbox cOCheckbox4;
    public org.cocktail.component.COCheckbox cOCheckbox5;
    public org.cocktail.component.COCheckbox cOCheckbox6;
    public org.cocktail.component.COCheckbox cOCheckbox7;
    public org.cocktail.component.COCheckbox cOCheckbox8;
    public org.cocktail.component.COCheckbox cOCheckbox9;
    public org.cocktail.component.COTextField cOTextField1;
    public org.cocktail.component.COTextField cOTextField2;
    public org.cocktail.component.COTextField cOTextField3;
    public org.cocktail.component.COTextField cOTextField4;
    public org.cocktail.component.COTextField cOTextField5;
    private org.cocktail.component.COView cOView1;
    private org.cocktail.component.COView cOView3;
    private org.cocktail.component.COView cOView4;
    private org.cocktail.component.COView cOView5;
    private org.cocktail.component.COView cOView7;
    public org.cocktail.component.CODisplayGroup displayGroup;
    public org.cocktail.component.CODisplayGroup displayGroupTypeAdresse;
    public org.cocktail.component.CODisplayGroup displayGroupTypePopulation;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    public org.cocktail.component.COTable listeAffichage;
    public org.cocktail.component.COComboBox popupCategoriePersonnel;
    public org.cocktail.component.COView vueBoutonsValidation;
    // End of variables declaration//GEN-END:variables
                  

}
